### Function

# Gtk.CellAllocCallback

#### Declaration

    gboolean
    CellAllocCallback (
      GtkCellRenderer* renderer,
      const GdkRectangle* cell_area,
      const GdkRectangle* cell_background,
      gpointer data
    )

#### Description [src]

The type of the callback functions used for iterating over the cell renderers and their allocated areas inside a `GtkCellArea`, see `gtk_cell_area_foreach_alloc()`.

#### Parameters

`renderer` | `GtkCellRenderer`
| the cell renderer to operate on
| Ownership is not transferred to the callee
`cell_area` | `const GdkRectangle*`
| the area allocated to `renderer` inside the rectangle provided to `gtk_cell_area_foreach_alloc()`.
| Ownership is not transferred to the callee
`cell_background` | `const GdkRectangle*`
| the background area for `renderer` inside the background area provided to `gtk_cell_area_foreach_alloc()`.
| Ownership is not transferred to the callee
`data` | `gpointer`
| user-supplied data

#### Return value

Returns: `gboolean`
`TRUE` to stop iterating over cells.